<template>
 <div id="login">
  <div class="container">
    <div class="login-box shadow mb-5 bg-white rounded m-auto">
      <div class="p-5">
        <form> 
          <h3 class="login-head mb-4 text-center"><a href="#/login" title="Login"><img src="@/assets/logo.png" width="290px"></a></h3>
          <div class="form-group">
            <label for="email">Correo electrónico:</label>
            <input type="email" v-model="email" class="form-control form-input" id="email" />
          </div>
          <div class="form-group">
            <label for="password">Contraseña:</label>
            <input type="password" v-model="password" class="form-control form-input" id="password" />
          </div>
          <div class="text-center mt-4">
            <button type="button" @click="login" class="btn btn-primary w-100 btn-md">INICIAR SESIÓN</button>            
          </div>
          <div class="text-center mt-3">
            <div class="font-weight-light text-muted my-2" style="font-size: 13px;">O BIEN</div>
            <a href="#/register">Registrarse</a>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
</template>

<script>
  import { AUTH } from '../main.js';
  import { vue } from "../main.js";
  export default {

    name: "login",
    data() {
      return {
        email:"",
        password:"",
      };
    },
    methods:{
      login(){
       console.log("Inicio login de usuario");
       let _self = this;
       AUTH.signInWithEmailAndPassword(this.email, this.password)
       .then(function (user) {
        console.log('Credenciales correctas, ¡bienvenido!');
        _self.$store.dispatch('login' );
        _self.$store.dispatch('setEmail',_self.email);
        _self.$router.push({name:'main'});
      })
       .catch(function (error) {
        console.log(error);
      });

     },
   },

 }; 
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
#login {
  margin-top: 65px;
}
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}
.btn-primary:hover{
  background-color: #1784dd;
}

a{
  color: #009A9A;
}
</style>
